"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnServerInit = void 0;
/**
 * @category Bootstrap
 * @decorator OnServerInit
 * * Methods decorated with this are called before initializing the server
 */
function OnServerInit(globalValKeyName = Date.now().toString()) {
    return function (target, key, descriptor) {
        Reflect.defineMetadata("startup-component", globalValKeyName, target, key);
    };
}
exports.OnServerInit = OnServerInit;
//# sourceMappingURL=OnServerInit.js.map