"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnServerStartup = void 0;
/**
 * @category Bootstrap
 * @decorator OnServerStartup
 * * Method decorated with this is called after server is up and running.
 * * The method is called with a server object parameter.
 * * Can be used only on one method.
 */
function OnServerStartup(target, key, descriptor) {
    Reflect.defineMetadata("after-startup-component", true, target, key);
}
exports.OnServerStartup = OnServerStartup;
//# sourceMappingURL=OnServerStartup.js.map