"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Query = void 0;
const buildParamDecorator_1 = require("./factories/buildParamDecorator");
/**
 * @category Parameters
 * @decorator Query
 * * Calls the handler with req.query
 */
function Query(objectKey) {
    return buildParamDecorator_1.buildParamDecorator("query", objectKey);
}
exports.Query = Query;
//# sourceMappingURL=Query.js.map