"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WildcardHandler = void 0;
/**
 * @category Bootstrap
 * @decorator WildcardHandler
 * * Decorator for initializing a catch-all request handler.
 */
function WildcardHandler(target, key, _) {
    Reflect.defineMetadata("application-catch-all", true, target, key);
}
exports.WildcardHandler = WildcardHandler;
//# sourceMappingURL=WildcardHandler.js.map