"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorHandler = void 0;
/**
 * @category Common
 * @decorator ErrorHandler
 * * Initialize an ErrorRequestHandler for a controller.
 * * Can be used once for a controller.
 */
function ErrorHandler(target, key, _) {
    Reflect.defineMetadata("error-handler", true, target, key);
}
exports.ErrorHandler = ErrorHandler;
//# sourceMappingURL=ErrorHandler.js.map