/**
 * @category Controller
 * @decorator GET
 * * Use the decorated method as a handler for GET requests to the route.
 */
export declare function GET(route: string): (target: Object, key: string, _: PropertyDescriptor) => void;
/**
 * @category Controller
 * @decorator POST
 * * Use the decorated method as a handler for POST requests to the route.
 */
export declare function POST(route: string): (target: Object, key: string, _: PropertyDescriptor) => void;
/**
 * @category Controller
 * @decorator PUT
 * * Use the decorated method as a handler for PUT requests to the route.
 */
export declare function PUT(route: string): (target: Object, key: string, _: PropertyDescriptor) => void;
/**
 * @category Controller
 * @decorator DELETE
 * * Use the decorated method as a handler for DELETE requests to the route.
 */
export declare function DELETE(route: string): (target: Object, key: string, _: PropertyDescriptor) => void;
/**
 * @category Controller
 * @decorator ALL
 * * Use the decorated method as a handler for ALL requests to the route.
 */
export declare function ALL(route: string): (target: Object, key: string, _: PropertyDescriptor) => void;
