import { Request, Response, NextFunction } from "express";
declare class ResponseContext {
    private static _Instance;
    private constructor();
    static get Instance(): ResponseContext;
    createResponseHandler(propName: string, controllerInstance: any): (req: Request, res: Response, next: NextFunction) => void;
    createErrorResponseHandler(propName: string, controllerInstance: any): (error: any, req: Request, res: Response, next: NextFunction) => void;
    private handleResponse;
    private addRequiredHandlerArguments;
}
export declare const responseContext: ResponseContext;
export {};
